> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vectorify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a collection

> Retrieve a specific collection.



## OpenAPI

````yaml https://vectorify.ai/api.json get /collections/{collection}
openapi: 3.1.0
info:
  title: Vectorify
  version: 1.0.0
servers:
  - url: https://api.vectorify.ai/v1
    description: Production
security:
  - apiKey: []
tags:
  - name: Query
  - name: Chats
  - name: Upserts
  - name: Items
  - name: Collections
paths:
  /collections/{collection}:
    get:
      tags:
        - Collections
      summary: Retrieve a collection
      description: Retrieve a specific collection.
      operationId: collections.show
      parameters:
        - name: collection
          in: path
          required: true
          description: The collection ID
          schema:
            type: integer
      responses:
        '200':
          description: '`Collection`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Collection'
                required:
                  - data
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    Collection:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        source:
          type: string
        metadata:
          type:
            - array
            - 'null'
          items: {}
        created_at:
          type: string
        items_count:
          type: integer
      required:
        - id
        - name
        - slug
        - source
        - metadata
        - created_at
      title: Collection
  responses:
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Api-Key

````